### A free/open-source library for quantitative finance

Public Member Functions
VegaBumpCollection Class Reference

`#include <ql/models/marketmodels/pathwisegreeks/vegabumpcluster.hpp>`

List of all members.

## Public Member Functions

| VegaBumpCollection (const boost::shared_ptr< MarketModel > &volStructure, bool allowFactorwiseBumping=true)
| VegaBumpCollection (const std::vector< VegaBumpCluster > &allBumps, const boost::shared_ptr< MarketModel > &volStructure)
Size | numberBumps () const
const boost::shared_ptr < MarketModel > & | associatedModel () const
const std::vector < VegaBumpCluster > & | allBumps () const
bool | isFull () const
bool | isNonOverlapping () const
bool | isSensible () const

## Detailed Description

There are too many pseudo-root elements to allow bumping them all independently so we cluster them together and then divide all elements into a collection of such clusters.